(define page
  `((h2 "getting the source")
    (p "
 Soundscrape uses "
       (a (@ (href "http://www.gnu.org/software/arch/"))
          "GNU arch")
       " as a
 revision-control system. The development archive is
 "
       (code "wingo@pobox.com--2004-main")
       ", and a public mirror is hosted at "
       (a (@ (href "http://ambient.2y.net/wingo/arch/wingo@pobox.com--2004-main/"))
          "http://ambient.2y.net/wingo/arch/wingo@pobox.com--2004-main/")
       ".
")
    (pre "
# Tell arch where the archive can be found
$ tla register-archive wingo@pobox.com--2004-main \\
  http://ambient.2y.net/wingo/arch/wingo@pobox.com--2004-main/

# Get a copy of the bleeding edge into the ./soundscrape directory
$ tla get wingo@pobox.com--2004-main/soundscrape--dev soundscrape
")
    (p "
 First-time users of "
       (code "arch")
       " should check out "
       (a (@ (href "http://arch.quackerhead.com/~lord/tutorial-tla/arch.html"))
          (code "arch")
          "
 Meets "
          (code "hello-world"))
       ", the "
       (code "arch")
       " tutorial.
")
    (h2 "requirements")
    (p "
 In order for me to be able to write this software, I used work from many other
 people. That makes my job a bit easier, but until soundscrape is packaged well,
 that means it's harder for you to install. Hopefully the following instructions
 should help you navigate the dependencies.
")
    (p "
 The following libraries are required to build soundscrape. If you are
 installing them from a distribution, make sure you install the development
 packages as well. The packages are given in the order in which they should be
 installed, if you are installing from scratch.
")
    (p (ul (li (a (@ (href "http://www.gnu.org/software/guile/"))
                  "guile")
               " 1.6.4 or newer
  ")
           (li (a (@ (href "http://www.gtk.org/"))
                  "gtk+")
               "-2.x (required at the moment, although
   at some point this will be made optional)
  ")
           (li (a (@ (href "http://home.gna.org/g-wrap/"))
                  "g-wrap 1.9.1"))
           (li (a (@ (href "http://home.gna.org/guile-gnome/"))
                  "guile-gnome")
               " 2.6.0 or newer
   "
               (br)
               "
   You will need the whole binding set: glib, gdk, atk, pango, gtk+,
   libgnome, libgnomeui, gtksourceview, gstreamer, and libglade.
  ")
           (li (a (@ (href "http://gstreamer.net/"))
                  "GStreamer")
               " 0.8.4 (and gst-plugins)
  ")
           (li (a (@ (href "http://www.zip.com.au/~erikd/libsndfile/"))
                  "libsndfile")
               " 1.x
  ")))
    (p "
 I am the maintainer for guile-gnome. I will try to get them packaged for the
 major distributions, but that will take some time. Bear with me as we get that
 situation sorted out; just know that in a few months you will be able to
 "
       (code "apt-get install soundscrape")
       " :-)
")))

;; run as guile -l index.scm -c '(make-index)' > index.html

(use-modules (sxml simple))
(load "../lib/template.scm")

(define xhtml-doctype
  (string-append
   "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" "
   "\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n"))
(define (make-index)
  (display xhtml-doctype)
  (sxml->xml
   (templatize page
               "soundscrape: developers"
               "developers"
               "..")))

