(define page
  `((h2 "documentation")
    (p "
 The documents listed below are also viewable from within Soundscrape itself, as
 part of Soundscrape's powerful runtime help system.
")
    (p "
 In the version for the web, you will find a navigation panel in the upper right
 corner. The link that looks like \">\" will take you to the next node,
 chapter, section, etc., while the one that looks like \":>\" will read
 through the manual like a book.
")
    (h3 (a (@ (href "tutorial/")) "tutorial"))
    (p "
 Start here -- an introduction to concepts, the language, and more.
")
    (h3 (a (@ (href "reference/"))
           "reference manual"))
    (p " A collection of random documents that don't fit into the
tutorial. A bit crufty.
")
    (h3 (a (@ (href "modules/")) "modules"))
    (p "
 Soundscrape's internals, fully documented, including all functions, variables,
 and classes. This section is automatically generated.
")
    (h3 (a (@ (href "unit-generators/"))
           "unit generators"))
    (p "
 All unit generators in soundscrape, arranged according to category.
")))

;; run as guile -l index.scm -c '(make-index)' > index.html

(use-modules (sxml simple))
(load "../lib/template.scm")

(define xhtml-doctype
  (string-append
   "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" "
   "\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n"))
(define (make-index)
  (display xhtml-doctype)
  (sxml->xml
   (templatize page
               "soundscrape: docs"
               "documentation"
               "..")))
