;; run as guile -l index.scm -c '(make-index)' > index.html

(use-modules (sxml simple))
(load "lib/template.scm")

(define page
  `((h2 "latest news")
    (h3 "15 July 2004")
    (p "The barriers to releasing are falling down! "
       (a (@ (href "http://home.gna.org/g-wrap/"))
          "g-wrap")
       " was released. "
       (a (@ (href "http://home.gna.org/guile-gnome/"))
          "guile-gnome")
       " is about to be released. "
       (a (@ (href "http://gstreamer.net/"))
          "GStreamer")
       " was released a while ago, but it finally works
out-of-the-box with soundscrape. I can't be more pleased. Soundscrape
will be out by the end of the month.")
    (p (a (@ (href "news/")) "older news..."))

    (h2 "what's cool")
    (h3 "It's a programmatic modular synthesizer")
    (p "
 Soundscrape is a modular software synthesizer with a twist. Unlike in most
 others, creating the filter flow graph for soundscrape is done via programmatic
 Scheme code, not boxes and wires. Flexible and brief, soundscrape gives you
 more expressive power.
")
    (h3 "It's based on Scheme")
    (p "
 Soundscrape is based on Guile, an implementation of Scheme -- a full-power
 language, not just some funny syntax. When you create your patches in
 Soundscrape, you have the entire algorithmic power of Scheme at your control.
")
    (h3 "It uses GStreamer as a backend")
    (p "
 While the interface to soundscrape is all Scheme, the backend is written in
 pure C. When the synthesis loop is running, things run fast -- Scheme never
 sees the data!
")
    (h3 "It's modeled heavily after SuperCollider")
    (p "
 James McCartney did an incredible job in the ten years or more he worked on
 SuperCollider, I'd be a fool not to learn from his work. Unfortunately, I've
 never actually seen SuperCollider in action, as it only runs on Mac OS 9. Many
 of SuperCollider's key features can now be found in soundscrape: control and
 audio rate operation, multichannel propogation, intelligent algorithm choice
 based on inputs...
")
    (h3 "It runs on POSIX operating systems")
    (p "
 Soundscrape is mainly being developed on GNU/Linux, although ensuring that it
 works on Mac OS X should not be difficult.
")
    (h3 "It uses "
        (a (@ (href "http://www.ladspa.org/"))
           "LADSPA")
        " plugins")
    (p "
 Soundscrape conforms to standards set by the Linux audio development
 community, giving it access to all the plugins you already have on your
 machine.
")
    (h3 "It's all Free Software")
    (p "
 Free, with a capital F. You have the freedom to download this software, give
 it to your friends, and hack on it to your heart's content, subject to the GNU
 General Public License.
")
    (h2 "what sucks")
    (p "
 These are all aspects I'd like to have in the \"what's cool\" category, but for
 the moment are still a problem. Hopefully over time I'll be moving things from
 the sucks to the cool category.
")
    (h3 "Threading issues")
    (p "
 The synthesis loop runs in the same thread as the language loop. This makes
 the interface less responsive as well as making the synthesis less reliable.
 The cause of this situation is immature threading support in the scheme
 interpreter, Guile. This problem should be fixed when Guile 1.8 is released.
")
    (h3 "GStreamer does not have proven real-time capabilities")
    (p "
 Although it has been under development for about four years now, GStreamer has
 not been stress-tested in a realtime environment. GStreamer needs a realtime
 safety audit. There is, however, nothing that indicates that GStreamer
 is incapable of realtime operation, provided each element is coded carefully.
")
    (h3 "It doesn't know jack")
    (p "
 Jack is the standard for communication between audio applications on Linux.
 The threading issues mentioned before are the only thing holding back Jack
 integration, which is a crucial feature for any Linux audio app.
")
    (h3 "It doesn't do MIDI (yet)")
    (p "
 The equivalent of SuperCollider's \"Voicer\" element has yet to be written. This
 should come in time, though.
")))

(define xhtml-doctype
  (string-append
   "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" "
   "\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n"))
(define (make-index)
  (display xhtml-doctype)
  (sxml->xml
   (templatize page
               "soundscrape: file under \"synthesis\""
               "about"
               ".")))
