(define (templatize body title category relative-root-path)
  (define (href text)
    `(href ,(string-append relative-root-path text)))
  (define (rev? text)
    (if (string=? category text)
        '((class "reversed"))
        '()))
  `(html
    (head (title ,title)
          (link (@ (rel "stylesheet")
                   (type "text/css")
                   (media "screen")
                   ,(href "/base.css"))))
    (body
     (div
      (@ (id "body"))
      (div (@ (id "heading"))
           (h1 "soundscrape")
           (div (@ (id "description"))
                "A programmatic framework for modular synthesis:"
                (br)
                "Scheme in the front, C in the back!")
           (div (@ (id "menu-bar") (class "reversed"))
                (a (@ ,(href "/") ,@(rev? "about"))
                   "about")
                (a (@ ,(href "/docs/") ,@(rev? "documentation"))
                   "documentation")
                (a (@ ,(href "/download/") ,@(rev? "download"))
                   "download")
                (a (@ ,(href "/dev/") ,@(rev? "developers"))
                   "developers")
                (a (@ ,(href "/contact/") ,@(rev? "contact"))
                   "contact")))
      (div (@ (id "text"))

           ,@body)))))